import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueDevTools from 'vite-plugin-vue-devtools'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueDevTools(),
  ],
  resolve: {
    alias: {
      '~': fileURLToPath(new URL('./src', import.meta.url)),
      '~cmp': fileURLToPath(new URL('./src/components', import.meta.url)),
      '~use': fileURLToPath(new URL('./src/composables', import.meta.url)),
      '~asset': fileURLToPath(new URL('./src/assets', import.meta.url)),
    },
  },
})
